<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
Group group = themeDisplay.getScopeGroup();
LayoutSet layoutSet = themeDisplay.getLayoutSet();
%>

<c:choose>
	<c:when test="<%= group.isUser() && layoutSet.isPrivateLayout() %>">

		<%
		long mbThreadId = ParamUtil.getLong(request, "mbThreadId");
		%>

		<div class="private-messaging-container" id="<portlet:namespace />privateMessagingContainer">
			<c:choose>
				<c:when test="<%= !themeDisplay.isSignedIn() %>">
					<liferay-ui:message key="please-sign-in-to-use-the-private-messaging-portlet" />
				</c:when>
				<c:when test="<%= (mbThreadId != 0) && PrivateMessagingUtil.isUserPartOfThread(user.getUserId(), mbThreadId) %>">
					<div class="thread">
						<%@ include file="/view_thread.jspf" %>
					</div>
				</c:when>
				<c:otherwise>
					<div class="messages">
						<%@ include file="/view_messages.jspf" %>
					</div>
				</c:otherwise>
			</c:choose>
		</div>

		<aui:script use="liferay-plugin-privatemessaging">
			new Liferay.PrivateMessaging(
				{
					baseActionURL: '<%= PortletURLFactoryUtil.create(request, portletDisplay.getId(), PortletRequest.ACTION_PHASE) %>',
					baseRenderURL: '<%= PortletURLFactoryUtil.create(request, portletDisplay.getId(), PortletRequest.RENDER_PHASE) %>',
					namespace: '<portlet:namespace />',
					portletId: '<%= portletDisplay.getId() %>'
				}
			);
		</aui:script>
	</c:when>
	<c:otherwise>
		<div class="alert alert-danger">
			<liferay-ui:message key="this-application-only-functions-when-placed-on-a-user's-private-page" />
		</div>
	</c:otherwise>
</c:choose>